# SIG/Kernel meeting 2023-11-30

## Attendees

* Sherif Nagy
* Neil Hanlon
* Pratham Patel
* Mustafa Gezen
* Pablo Greco

## Discussions

* This SIG does have some overlap with SIG/Altarch
    * Altarch was expecting to base on elrepo
    * Two options: mainline and LTS. Default to Mainline
* Two kernels right now:
    * LTS - manual, done by Pablo
    * Mainline - kernel packer in Peridotv2
        * standard config from upstream doesn't support a lot of our SBCs
        * intending to stay as close to upstream as possible
            * Upstream == fedora rawhide branch's RHEL configs
        * ** Can we build a kernel-mainline artifact for altarch. e.g., kernel-mainline-sbc like kernel-rt/64ka **
            * Alternatively, we can create a new package for that name, but that is probably a lot of rework (?)
* ELrepo contributions
    * What changes are we going to contribute?
        * There are some subset of changes which are beneficial to the overall ecosystem (like an SBC variant which is disabled by default)
        * There's some stuff they might not want to use, and our specs will definitely change over time, not necessarily in step with ELRepo
* Mainline variant for SBCs
    * Two options: subpackage of mainline or discrete packed kernel with a new name
    * Leaning towards a discrete package which can be 'packed' directly into git.r.o/sig/altarch/ namespace, if needed
* Idea on generating kernel configs for SBCs
    * For some sbcs we need to boot via dtb and not acpi so we require mainline kernel
        * usually require drivers which are disabled by default
    * https://git.resf.org/thefossguy/kernel-elrepo/commit/ff349cb79376d1ef4b80c4f8c2cb07703dc3db5e
    * Pablo: Fedora is generally open to enabling these in those configs, and are usually enabled already
        * RHEL configs are a lot more conservative as they only enable what they need
        * Harder to go from RHEL -> working SBC than Fedora -> working (typically), so this is the approach usually he takes
        * ELRepo is in the middle :)
        * Recommends starting with fedora than trying to work backwards
            * Pratham will try this
    * Also working on comparing 9.2 configs to 9.3 with prior work on sbc enablement
        * seems to be working (booting) where elrepo kernel was not
        * need to work out when acpi is not there
* https://gitlab.com/cki-project/kernel-ark
* Mainline kernel is 6.5 right now, we will go to 6.6
    * There is an issue with 6.7, we have issues w/ NX and shim
    * There is an exception for Linux distributions right now, but we won't be able to sign 6.7 without a new shim
    * We'll try and hold onto 6.6 for as long as we can -- and that's OK
    * May need to have non-nx and nx-ready shim
        * :upside-down-face:
* Sherif will be working on LTS 6.1 on x86 a bit this week

## Action items

* Documentation on SIG
    * Kernel packer - Mustafa
        * Specfile derrived from ELRepo
        * Configs derrived from s.fp.o/rpms/kernel (rawhide branch, RHEL configs)
        * Sources from kernel.org
    * Roles / Responsibilities - Neil / Sherif
    * Onboarding - Neil
    * Update membership - Neil
    * Usage instructions
        * What packages are available, what are they, etc
    * Secureboot info
* Update kernel-mainline to 6.6 - Neil / Mustafa
* Write ticket about shim / kernel 6.7 issues (for tracking and visibility) - Neil
* Setup and document creation of variant for mainline-sbc - Mustafa / Sherif / Neil
* Develop plan on how to contribute our changes to ELRepo - Neil
* LTS 6.1 not compiling on x86 - Sherif
* Write SIG update for Fresh Air newsletter - Neil

## Old business

### 2023-11-28

* Published kernel-mainline! 
